pcl::InvalidConversionException Class Reference

An exception that is thrown when a PCLPointCloud2 message cannot be converted into a PCL type. More...

`#include <pcl/exceptions.h>`

Inheritance diagram for pcl::InvalidConversionException:

## Public Member Functions

| InvalidConversionException (const std::string &error_description, const std::string &file_name="", const std::string &function_name="", unsigned line_number=0) throw ()
Public Member Functions inherited from pcl::PCLException
| PCLException (const std::string &error_description, const std::string &file_name="", const std::string &function_name="", unsigned line_number=0) throw ()
virtual | ~PCLException () throw ()
const std::string & | getFileName () const throw ()
const std::string & | getFunctionName () const throw ()
unsigned | getLineNumber () const throw ()
std::string | detailedMessage () const throw ()
char const * | what () const throw ()

## Additional Inherited Members

Protected Attributes inherited from pcl::PCLException
std::string | file_name_
std::string | function_name_
std::string | message_
unsigned | line_number_

## Detailed Description

An exception that is thrown when a PCLPointCloud2 message cannot be converted into a PCL type.

Definition at line 137 of file exceptions.h.

## Constructor & Destructor Documentation

pcl::InvalidConversionException::InvalidConversionException | ( | const std::string & | error_description,
|  | const std::string & | file_name = `""`,
|  | const std::string & | function_name = `""`,
|  | unsigned | line_number = `0`
| ) |  |
throw | ( |
| ) |  |

inline

Definition at line 141 of file exceptions.h.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/exceptions.h